import * as React from "react";
import { TableOfContents, Headline } from "@components/TableOfContents";

export const TableOfContentsStory = () => (
  <>
    <div className="w-3/12">
      <TableOfContents>
        <Headline target="#section1">Introduction</Headline>
        <Headline target="#section2">This is a page index menu</Headline>
        <Headline target="#section3">For the desktop view</Headline>
        <Headline target="#section4">Generated from subheadings</Headline>
        <Headline target="#section5">It sticks on top while scrolling</Headline>
        <Headline target="#section6">Click one of theses lines</Headline>
        <Headline target="#section7">Jumps to the section</Headline>
        <Headline target="#section8">This gives better overview</Headline>
        <Headline target="#section9">And access to the</Headline>
      </TableOfContents>
    </div>
    <div className="w-3/12 mt-12">
      <TableOfContents ctaCaption="Click me">
        <Headline target="#section1">Introduction</Headline>
        <Headline target="#section2">This is a page index menu</Headline>
        <Headline target="#section3">For the desktop view</Headline>
        <Headline target="#section4">Generated from subheadings</Headline>
      </TableOfContents>
    </div>
  </>
);

export default {
  title: "Molecules",
};
TableOfContentsStory.storyName = "Table of Contents";
