import * as React from "react";
import { Room } from "@components/ElementList";

const ROOM_DATA = {
  target: "/",
  name: "[FCHH] Welcome!",
  tag: "#welcome:fabcity.hamburg",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
  image: {
    src: "https://picsum.photos/id/1005/200/300",
    alt: "something",
  },
  members: 123,
};

export const RoomItemStory = () => (
  <div className="container">
    <div className="w-full lg:w-2/3">
      <Room
        target={ROOM_DATA.target}
        name={ROOM_DATA.name}
        tag={ROOM_DATA.tag}
        description={ROOM_DATA.description}
        image={ROOM_DATA.image}
        members={ROOM_DATA.members}
      />
    </div>
  </div>
);

export default {
  title: "Molecules",
};

RoomItemStory.storyName = "Room";
